Loading...
Searching...
No Matches
facenormalgridfunction.hh File Reference
`#include <type_traits>`
`#include <optional>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/typeutilities.hh>`
`#include <dune/common/rangeutilities.hh>`
`#include <dune/geometry/referenceelements.hh>`
`#include <dune/functions/gridfunctions/gridfunction.hh>`
`#include <dune/functions/gridfunctions/gridviewentityset.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::FaceNormalGridFunction< GV >
| Grid function implementing the piecewise element face normal. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions